This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 247914 - short-form library files should be symlinks
short-form library files should be symlinks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 19:27 EDT by Eric Smith
Modified: 2008-03-06 11:34 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.1.0-25.1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:34:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2007-07-11 19:27:59 EDT
Description of problem:

The libraries installed by the nx package in /usr/lib/nx use duplicate
files for the short and full form names.  Instead, libXcomp.so.2 should be a
symlink to libXcomp.so.2.1.0.  This is standard practice for libraries, reduces
disk usage, and avoids problems with ldconfig.

Version-Release number of selected component (if applicable):
nx-2.1.0-22.fc7

How reproducible:
100%

Steps to Reproduce:
install nx package
  
Actual results:
separate files for short and long form library names

Expected results:
short form path names symlinked to long form names

Additional info:
Comment 1 Axel Thimm 2007-12-28 18:48:12 EST
I still see this bug with our latest 2.x builds, but I hope this will be fixed
with the upcoming 3.x builds.
Comment 2 Fedora Update System 2008-03-04 18:03:03 EST
nx-3.1.0-25.1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-06 11:34:12 EST
nx-3.1.0-25.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.